# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name    = 'fluent-plugin-records-merger'
  spec.version = '0.1.8'
  spec.authors = ['Nobuyuki Oishi', 'WallyNegima']
  spec.email   = ['u.str.gm@gmail.com']

  spec.summary       = 'this is fluentd plugin. some records merge and out.'
  spec.description   = 'Parallels data is merged and out.'
  spec.homepage      = 'https://github.com/WallyNegima/fluent-plugin-records-merger'
  spec.license       = 'Apache-2.0'

  test_files, files  = `git ls-files -z`.split("\x0").partition do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.files         = files
  spec.executables   = files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = test_files
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'test-unit', '~> 3.0'
  spec.add_runtime_dependency 'fluentd', ['>= 0.14.10', '< 2']
end
